--[=====[-------------- Modules --------------]=====]--
local states = require 'states'

--[=====[-------------- Variables --------------]=====]--
local info = {}
local infofont

--[=====[-------------- Functions --------------]=====]--

function info:load()
    infofont = love.graphics.newFont('PixelFJVerdana12pt_0.ttf', 20)
end


function info:when_activated()
    love.graphics.setFont(infofont)
end


-- not used:
--function info:update(dt)
--end


function info:draw()
    local sx = 100
    love.graphics.printf("Made with: Love2d", sx, 100, 800)
    love.graphics.printf("Runs on: a potato", sx, 150, 800)
    love.graphics.printf("Made by Loki", sx, 200, 800)
    love.graphics.printf("Press RETURN to exit", sx, 400, 800)
end

function info:keypressed(key)
    if key == "return" then
        states:activate(states.menu)
    end
end

return info
