--[=====[-------------- Modules --------------]=====]--
local o_ten_one = require "o-ten-one"
local states = require 'states'
local menu = require 'menu'

--[=====[-------------- Variables --------------]=====]--
local introh = {}

--[=====[-------------- Events --------------]=====]--

function introh:load()
    splash = o_ten_one({fill = "lighten"})
    function splash.onDone()
        menu:mainmenu()
    end
end    


function introh:update(dt)
    splash:update(dt)
end


function introh:draw()
    splash:draw()
end


function introh:keypressed(key)
    if key == "escape" then
--        splash:skip() -- slow to react!
        menu:mainmenu()
    end
end


return introh
