local function activate(self, new)
    assert(new, "Attempt to activate a state that does not exist yet")
    if self.active and self.active.when_deactivated then self.active:when_deactivated() end
    self.active = new
    if new.when_activated then new:when_activated() end
end

return {activate = activate, active = false}
